X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why are sites I used to go to before now suddenly say "Untrusted Connection?" The sites are including my bank, yahoo and even my I email account I have with my provider and including asking this question on Firefox!

Posted

Why are sites I used to go to before now suddenly say "Untrusted Connection?" The sites are including my bank, yahoo and even my I email account I have with my provider and including asking this question on Firefox!

Additional System Details

Sites Affected

http://

Installed Plug-ins

  • npmnqmp 989898989877
  • SOE Web Installer
  • 3DVIA player(5.0.0.12). For more information, visit the 3DVIA player web site.
  • Default Plug-in
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.2"
  • Unity Player 3.1.0f4
  • Shockwave Flash 10.2 r152
  • Adobe Shockwave for Director Netscape plug-in, version 11.5
  • iTunes Detector Plug-in
  • 4.0.51204.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13 ( .NET CLR 3.5.30729)

More Information

This Connection is Untrusted
You have asked Firefox to connect
securely to www.53.com, but we can't confirm that your connection is secure.
Normally, when you try to connect securely,
sites will present trusted identification to prove that you are
going to the right place. However, this site's identity can't be verified.
What Should I Do?
If you usually connect to
this site without problems, this error could mean that someone is
trying to impersonate the site, and you shouldn't continue.
Technical Details
www.53.com uses an invalid security certificate.
The certificate is not trusted because the issuer certificate has expired.
The certificate will not be valid until 1/4/2011 5:00 PM.
(Error code: sec_error_expired_issuer_certificate)
I Understand the Risks

cor-el
  • Top 10 Contributor
  • Moderator
10761 solutions 96861 answers
The certificate is not trusted because the issuer certificate has expired. The certificate will not be valid until 1/4/2011 5:00 PM. (Error code: sec_error_expired_issuer_certificate)


Check the date and time in the clock on your computer: (double) click the clock icon on the Windows Taskbar.

See Troubleshoot the "Secure Connection Failed" error message